/ / Django 1.5: पायथन 2.7 या पायथन 3 - django, पायथन-2.7, पायथन-3.x

Django 1.5: पायथन 2.7 या पायथन 3 - django, पायथन-2.7, पायथन -3x

Django बस अपने 1.5 संस्करण जारी करते हैं।

अब यह पायथन 3 का समर्थन करता है, मेरा सवाल काफी हैवास्तव में सरल: इस 1.5 संस्करण के साथ, क्या मुझे अभी भी पायथन 2.7 या पायथन 3 का उपयोग करना चाहिए? मुझे लगता है कि पायथन 3 के साथ तीसरे पक्ष के ऐप नंबर के साथ कुछ मुद्दे होंगे?

आपके मामले में, आप क्या करेंगे?

उत्तर:

जवाब के लिए 5 № 1

रिलीज नोट्स स्पष्ट रूप से बताते हैं कि 1.5 में पायथन 3 का समर्थन है प्रयोगात्मक। और हाँ, तृतीय-पक्ष ऐप्स एक समस्या होगी।


जवाब के लिए 0 № 2

अगर मैं एक नया विकास शुरू कर रहा था जो मैंसंस्करण 1.6 जारी होने के बाद तक लाइव होने की उम्मीद नहीं है (जब पायथन 3 समर्थन उत्पादन तैयार होना चाहिए, और उम्मीद है कि तीसरे पक्ष के ऐप्स पकड़े गए हैं), तो हाँ, मैं पाइथन 3 के साथ जाऊंगा। यह काफी महत्वपूर्ण है पायथन 2.7 से क्लीनर।

लेकिन यदि आप अपनी साइट को निकट भविष्य में चाहते हैं और चलाना चाहते हैं, तो 2.7 के साथ चिपके रहें।


जवाब के लिए 0 № 3

मैं अभी भी अजगर 2.7 का उपयोग करूंगा क्योंकि कई ऐप्स और पुस्तकालय अजगर 3.x के लिए तैयार नहीं हैं

पीआईएल पाइथन 3 के साथ सही ढंग से काम नहीं कर रहा है